Get managed LUTs by product type
curl --request GET \
--url https://api.kamino.finance/luts/managed/product-type/{productType}const options = {method: 'GET'};
fetch('https://api.kamino.finance/luts/managed/product-type/{productType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/luts/managed/product-type/{productType}"
response = requests.get(url)
print(response.text)false[
{
"productIdentifierAddress": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"productType": "vault",
"lutAddresses": [
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
]
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Managed LUTs
Get managed LUTs by product type
Returns all active lookup table addresses grouped by product for a given product type.
GET
/
luts
/
managed
/
product-type
/
{productType}
Get managed LUTs by product type
curl --request GET \
--url https://api.kamino.finance/luts/managed/product-type/{productType}const options = {method: 'GET'};
fetch('https://api.kamino.finance/luts/managed/product-type/{productType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/luts/managed/product-type/{productType}"
response = requests.get(url)
print(response.text)false[
{
"productIdentifierAddress": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"productType": "vault",
"lutAddresses": [
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
]
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Path Parameters
The type of product associated with a managed lookup table
Available options:
swap_pair, vault, strategy, market, meta_vault Example:
"vault"
Response
OK
Valid base58-encoded address
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
The type of product associated with a managed lookup table
Available options:
swap_pair, vault, strategy, market, meta_vault Example:
"vault"
Valid base58-encoded address